import logging
from pathlib import Path
import json


logging.basicConfig(level=logging.INFO, format='%(message)s')

xdg_path = Path("~/.config/gmirator/config.json").expanduser()
cfg_file = xdg_path if xdg_path.exists() else "config.json"
with open(cfg_file) as f:
    config = json.load(f)

DIR_ASSETS      = Path(config["dir_assets"])
DIR_SOURCE      = Path(config["dir_gmi_content"])
DIR_GMI_HELPER  = Path(config["dir_gmi_helper"])
DIR_HELPER      = Path(config["dir_html_helper"])
DIR_O_HTML      = Path(config["dir_html_out"])

GMI_FOOTER      = DIR_GMI_HELPER / "footer.gmi"

REM_HTML        = config["rem_html"]
REM_GMI         = config["rem_gmi"]
RPORT           = config["port"]
